/*
Navicat MySQL Data Transfer

Source Server         : 192.168.2.236
Source Server Version : 50731
Source Host           : 192.168.2.236:3306
Source Database       : med_2021

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2021-06-04 09:47:42
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for kl_concept_scale
-- ----------------------------
DROP TABLE IF EXISTS `kl_concept_scale`;
CREATE TABLE `kl_concept_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) DEFAULT NULL COMMENT '术语概念id',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `content` text COMMENT '内容',
  `rule_code` varchar(255) DEFAULT NULL COMMENT '编码',
  `score` decimal(5,1) DEFAULT '0.0' COMMENT '扣分',
  `factor` decimal(5,1) DEFAULT '0.0' COMMENT '系数',
  `constant` decimal(5,1) DEFAULT '0.0' COMMENT '常数',
  `text_type` int(11) DEFAULT NULL COMMENT '11问题选项;12文本;13得分结果（隐藏）21问题，31答案',
  `result_type` int(11) NOT NULL DEFAULT '0' COMMENT '结果类型（1算分;2显示选择结果）',
  `select_type` int(11) NOT NULL DEFAULT '0' COMMENT '选择类型(21单选22多选)',
  `order_no` int(11) DEFAULT NULL COMMENT '显示顺序',
  `status` int(2) DEFAULT '1' COMMENT '1：显示，0：不显示，2隐藏',
  `group_num` int(11) DEFAULT '-1' COMMENT '组别互斥（同组互斥）',
  `result` varchar(255) DEFAULT NULL COMMENT '结果',
  `push_info` text COMMENT '推送信息',
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='量表明细表';
