package com.diagbot.client.hystrix;

import com.diagbot.client.CRFServiceClient;
import com.diagbot.util.GsonUtil;
import com.diagbot.vo.CRFVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
@Slf4j
public class CRFServiceHystrix implements CRFServiceClient {
    @Override
    public String getAnnotation(@RequestBody CRFVo crfVo) {
        log.error("CRF解析文本【超时】或【服务出错】,参数如下{}", GsonUtil.toJson(crfVo));
        return null;
    }
}
