package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-05-25 10:00
 */
@Setter
@Getter
public class KlConceptScaleDTO {

    private Long id;


    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;


    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;

    /**
     * -1：表示顶级,其他值表示上级菜单的id
     */
    private Long parentId;

    /**
     * 内容
     */
    private String content;

    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 系数
     */
    private BigDecimal factor;

    /**
     * 常数
     */
    private BigDecimal constant;

    /**
     * 11表格;12文本;21标题;31算分;32显示选择结果
     */
    private Integer textType;
    /**
     * 结果类型（1算分;2显示选择结果）
     */
    private Integer resultType;
    /**
     * 选择类型(1单选2多选)
     */
    private Integer selectType;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 1：显示，0：不显示，2隐藏
     */
    private Integer status;

    /**
     * 组别互斥（同组互斥）
     */
    private Integer groupNum;

    /**
     * 结果
     */
    private String result;

    /**
     * 推送信息
     */
    private String pushInfo;

    private String remark;

}
