package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 诊断依据记录明细表
 * </p>
 *
 * @author zhoutg
 * @since 2021-08-24
 */
@Data
public class KlDiagnoseRecordDetailDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 诊断依据记录表id
     */
    private Long diagnoseRecordId;

    /**
     * 标准词
     */
    private Long conceptId;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;
}
