package com.diagbot.dto;

import com.diagbot.entity.wrapper.KlScaleDetailWrapper;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-05-10 10:36
 */
@Setter
@Getter
public class KlScaleByIdDTO {

    private Long id;
    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;

    private String conceptName;


    /**
     * 状态
     */
    private Integer status;


    /**
     * 量表明细
     */
    private List<KlScaleDetailWrapper> klScaleDetail ;
}
