package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-05-10 10:32
 */
@Setter
@Getter
public class KlScaleDetailDTO {

    private Long id;



    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;


    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;

    /**
     * -1：表示顶级,其他值表示上级菜单的id
     */
    private Long parentId;

    /**
     * 内容
     */
    private String content;

    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 0表格1有分数2无分数
     */
    private Integer textType;

    /**
     * 选择类型(1单选2多选)
     */
    private Integer selectType;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 是否显示（1是，0否）
     */
    private Integer status;

    private String remark;

    private List<KlScaleDetailDTO> klScaleDetailSub = new ArrayList<>();
}
