package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 化验危急值提示语
 * @Author:zhoutg
 * @time: 2020/8/12 15:53
 */
@Data
public class LisCtritalDTO {
    private String name; // 化验拼接提示语
    private String groupMsg = ""; // 人群拼接提示语
    private String ageMsg = ""; // 年龄拼接提示语
    private List<String> lisMsg = new ArrayList<>(); // 化验拼接提示语——暂无数据
}
