package com.diagbot.entity;

import cn.afterturn.easypoi.handler.impl.ExcelDataHandlerDefaultImpl;
import com.diagbot.dto.ExportDiagnoseNameDTO;
import org.apache.poi.common.usermodel.HyperlinkType;
import org.apache.poi.ss.usermodel.CreationHelper;
import org.apache.poi.ss.usermodel.Hyperlink;

/**
 * @description:
 * @author: zhoutg
 * @time: 2021/6/10 15:40
 */
public class ExcelDataHandler extends ExcelDataHandlerDefaultImpl<ExportDiagnoseNameDTO> {

    @Override
    public Hyperlink getHyperlink(CreationHelper creationHelper, ExportDiagnoseNameDTO obj, String name, Object value) {
        Hyperlink hyperlink = creationHelper.createHyperlink(HyperlinkType.DOCUMENT);
        // hyperlink.setLabel("#EB病毒感染!A1");
        hyperlink.setAddress("#" + obj.getName() + "!A1");
        return hyperlink;
    }
}