package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-23 9:45
 */
@Setter
@Getter
public class KlDiagnoseDetailVO {
    /**
     * 描述
     */
    private String basDescription;
    private List<Long> basConceptId;
    private String basLibName;
    private Integer basLibType;
    private String basLename;
    /**
     * 基础规则类型(1:等于术语本身;2:存在比较;3:不等于术语本身;)
     */
    private Integer basType;
    /**
     * 最小域比较符
     */
    private String minOperator;
    /**
     * 最小域值
     */
    private String minVal;

    /**
     * 最小域单位
     */
    private String minUnit;
    /**
     * 最大域比较符
     */
    private String maxOperator;
    /**
     * 最大域值
     */
    private String maxVal;
    /**
     * 最大域单位
     */
    private String maxUnit;
    /**
     * 等于域比较符
     */
    private String eqOperator;
    /**
     * 等于域值
     */
    private String eqValue;
    /**
     * 等于域单位
     */
    private String eqUnit;
}
