package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangfeng
 * @Description: 选项 第三层
 * @date 2021-05-10 14:15
 */
@Setter
@Getter
public class KlScaleSubDetailVO {
    /**
     * 内容
     */
    private String content;

    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 11表格;12文本;21标题;31算分;32显示选择结果
     */
    private Integer textType;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 1：显示，0：不显示，2隐藏
     */
    private Integer status;


    /**
     * 结果
     */
    private String result;

    /**
     * 推送信息
     */
    private String pushInfo;

    private String remark;

}
