package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-06-10 19:54
 */
@Setter
@Getter
public class TermMatchingVO {
    /**
     * 类型：1-化验大项、2-化验小项、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、9-症状
     */
    @NotNull(message = "请输入检索类型")
    private Integer type;
    /**
     * 检索内容
     */
    @NotBlank(message = "请输入检索内容")
    private String inputStr;
}
