package com.diagbot.dto;

import com.google.common.collect.Lists;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 开单提示语
 * @Author:zhoutg
 * @time: 2020/8/12 15:53
 */
@Data
public class BillDTO {
    // 通用匹配内容
    private String content;
    // 禁忌类型
    private String conType = "";
    // 匹配条数
    private int matchNum = 0;
    // 性别拼接提示语
    private String sexMsg = "";
    // 年龄拼接提示语
    private String ageMsg = "";
    // 诊断拼接提示语
    private List<String> diseaseMsg = Lists.newArrayList();
    // 人群拼接提示语
    private String groupMsg = "";


    private List<String> lisMsg = new ArrayList<>(); // 化验拼接提示语——暂无数据
}
