package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 诊断依据说明导出
 * </p>
 *
 * @author kongwz
 * @since 2020-07-28
 */
@Data
public class ExportDescDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name="说明", width = 100, orderNum = "10")
    private String name = "";

}
