package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 诊断依据导出
 * </p>
 *
 * @author kongwz
 * @since 2020-07-28
 */
@Data
public class ExportDiagnoseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(name="类型", width = 20, orderNum = "10")
    private String type = "";
    @Excel(name="序号", width = 10, orderNum = "20")
    private String orderNo = "";
    @Excel(name="规则", width = 50, orderNum = "30")
    private String rule = "";
    @Excel(name="等于", width = 10, orderNum = "40")
    private String eq;
    @Excel(name="最大值", width = 10, orderNum = "50")
    private String max;
    @Excel(name="最大值符号", width = 10, orderNum = "60")
    private String maxSymbol;
    @Excel(name="最小值", width = 10, orderNum = "70")
    private String min;
    @Excel(name="最小值符号", width = 10, orderNum = "80")
    private String minSymbol;
    @Excel(name="单位", width = 10, orderNum = "90")
    private String unit;
    @Excel(name="关联词", width = 10, orderNum = "35")
    private String relation;
    @Excel(name="校验", width = 10, orderNum = "33")
    private String check;

}
