package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-19 15:26
 */
@Setter
@Getter
public class KlDiagnoseByIdDTO {
    private Long id;
    private String description;//规则名称
    private Long conceptId;//提示概念id
    private String libName;
    private Integer libType;
    private String lename;
    private Integer status;//启用状态（0：禁用，1：启用）
    /**
     * 条件类型(1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件)
     */
    private Integer conditionType;

    private Long basId;
    /**
     * 规则组别（condition_type为2:拟诊条件；3:确诊条件；4:警惕条件有效）
     */
    private Integer conditionGroup;

    /**
     * 符合数量（condition_type为2:拟诊条件；3:确诊条件；4:警惕条件有效）
     */
    private Integer fitNo;
    /**
     * 基础规则组别（condition_type为1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件都有效）
     */
    private Integer baseGroup;
    /**
     * 描述
     */
    private String basDescription;
    /*  private Long basConceptId;
      private String basLibName;*/
    private List<KlDiagnoseLibNameDTO> libNameList;
    private Integer basLibType;

    private String basLename;
    /**
     * 基础规则类型(1:等于术语本身;2:存在比较;3:不等于术语本身;)
     */
    private Integer basType;
    /**
     * 最小域比较符
     */
    private String minOperator;
    /**
     * 最小域值
     */
    private String minVal;

    /**
     * 最小域单位
     */
    private String minUnit;
    /**
     * 最大域比较符
     */
    private String maxOperator;
    /**
     * 最大域值
     */
    private String maxVal;
    /**
     * 最大域单位
     */
    private String maxUnit;
    /**
     * 等于域比较符
     */
    private String eqOperator;
    /**
     * 等于域值
     */
    private String eqValue;
    /**
     * 等于域单位
     */
    private String eqUnit;
}
