package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2020/8/12 15:53
 */
@Data
public class LisOtherDTO {
    private String name; // 化验拼接提示语
    private String lisNameDetail;  // 化验套餐和明细拼接，如果套餐和明细名称一样，取明细
    private String msg; // 输血名称
    private List<String> drugMsg = new ArrayList<>(); // 药品拼接提示语
    private List<String> diseaseMsg = new ArrayList<>(); // 诊断拼接提示语
    private List<String> groupMsg = new ArrayList<>(); // 人群拼接提示语
    private List<String> operationMsg = new ArrayList<>(); // 手术拼接提示语
    private String sexMsg = ""; // 性别拼接提示语
    private List<String> lisMsg = new ArrayList<>(); // 化验拼接提示语——暂无数据
}
