package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 15:45
 */
@Getter
@Setter
public class RetrievalDTO {
    /**
     * 化验大项 辅检 诊断 药品 手术或操作 科室 输血 症状 体征 量表 护理 中医诊断 中医证候 麻醉 药品剂型
     */
    private List<RetrievalConceptDTO> nameList;
    /**
     * 化验小项
     */
    private List<LisDetailDTO> lisDetailNames;
    /**
     * 辅检
     *//*
    private List<RetrievalConceptDTO> pacsNames;
    *//**
     * 诊断
     *//*
    private List<RetrievalConceptDTO> diseaseNames;
    *//**
     * 药品
     *//*
    private List<RetrievalConceptDTO> drugNames;
    *//**
     * 手术或操作
     *//*
    private List<RetrievalConceptDTO> operationNames;
    *//**
     * 科室
     *//*
    private List<RetrievalConceptDTO> deptNames;
    *//**
     * 输血
     *//*
    private List<RetrievalConceptDTO> transfusionNames;
    *//**
     * 症状
     *//*
    private List<RetrievalConceptDTO> symptomNames;
    *//**
     * 体征
     *//*
    private List<RetrievalConceptDTO> vitalNames;
    *//**
     * 量表
     *//*
    private List<RetrievalConceptDTO> scalenames;
    *//**
     * 护理
     *//*
    private List<RetrievalConceptDTO> nursenames;
    *//**
     * 中医诊断
     *//*
    private List<RetrievalConceptDTO> tcmdiseaseNames;
    *//**
     * 中医证候
     *//*
    private List<RetrievalConceptDTO> tcmsyndromeNames;
    *//**
     * 麻醉
     *//*
    private List<RetrievalConceptDTO> anesthesiaInfonames;

    *//**
     * 药品剂型
     *//*
    private List<RetrievalConceptDTO> drugDosage;*/

}