package com.diagbot.mapper;

import com.diagbot.dto.DiagnoseRecordDTO;
import com.diagbot.dto.ExportDiagnoseDTO;
import com.diagbot.entity.KlDiagnoseRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 诊断依据记录表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2021-08-24
 */
public interface KlDiagnoseRecordMapper extends BaseMapper<KlDiagnoseRecord> {

    List<DiagnoseRecordDTO> getDiagnoseRecord();

}
