package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.RegulationDTO;
import com.diagbot.entity.KlRegulation;
import com.diagbot.vo.RegulationVO;

import java.util.List;

/**
 * <p>
 * 通用规则表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
public interface KlRegulationMapper extends BaseMapper<KlRegulation> {

    //根据匹配的基础规则ID获取对应的编码
    List<RegulationDTO> getRegulationByIds(RegulationVO regulationVO);
}
