package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RegulationDTO;
import com.diagbot.entity.KlRegulation;
import com.diagbot.vo.RegulationVO;

import java.util.List;

/**
 * <p>
 * 通用规则表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-06-15
 */
public interface KlRegulationService extends IService<KlRegulation> {

    //根据匹配的基础规则ID获取对应的编码
    List<RegulationDTO> getRegulationByIds(RegulationVO regulationVO);
}
