package com.diagbot.service.impl;

import com.diagbot.entity.KlConceptScale;
import com.diagbot.entity.wrapper.KlScaleDetailWrapper;
import com.diagbot.mapper.KlConceptScaleMapper;
import com.diagbot.service.KlConceptScaleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlScaleDetailMenuVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-05-10
 */
@Service
public class KlConceptScaleServiceImpl extends ServiceImpl<KlConceptScaleMapper, KlConceptScale> implements KlConceptScaleService {

    @Override
    public List<KlScaleDetailWrapper> getKlScaleDetailMenu(KlScaleDetailMenuVO klScaleDetailMenuVO) {
        return baseMapper.getKlScaleDetailMenu(klScaleDetailMenuVO);
    }
}
