package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.KlDiagnoseLibNameDTO;
import com.diagbot.entity.KlDiagnoseBaseRelation;
import com.diagbot.mapper.KlDiagnoseBaseRelationMapper;
import com.diagbot.service.KlDiagnoseBaseRelationService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 基础规则关联表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-30
 */
@Service
public class KlDiagnoseBaseRelationServiceImpl extends ServiceImpl<KlDiagnoseBaseRelationMapper, KlDiagnoseBaseRelation> implements KlDiagnoseBaseRelationService {
    public List<KlDiagnoseLibNameDTO> getLibNameList(List<Long> basId) {
        return baseMapper.getLibNameList(basId);
    }
}
