package com.diagbot.service.impl;

import com.diagbot.dto.DiagnoseRecordDTO;
import com.diagbot.dto.ExportDiagnoseDTO;
import com.diagbot.entity.KlDiagnoseRecord;
import com.diagbot.mapper.KlDiagnoseRecordMapper;
import com.diagbot.service.KlDiagnoseRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据记录表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2021-08-24
 */
@Service
public class KlDiagnoseRecordServiceImpl extends ServiceImpl<KlDiagnoseRecordMapper, KlDiagnoseRecord> implements KlDiagnoseRecordService {

    @Override
    public List<DiagnoseRecordDTO> getDiagnoseRecord() {
        return baseMapper.getDiagnoseRecord();
    }
}
