package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.TermConceptDTO;
import com.diagbot.entity.KlLibraryInfo;
import com.diagbot.mapper.KlLibraryInfoMapper;
import com.diagbot.service.KlLibraryInfoService;
import com.diagbot.vo.TermMatchingListVO;
import com.diagbot.vo.TermMatchingVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 术语表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlLibraryInfoServiceImpl extends ServiceImpl<KlLibraryInfoMapper, KlLibraryInfo> implements KlLibraryInfoService {

    public TermConceptDTO getConcept(TermMatchingVO termMatchingVO) {
        return baseMapper.getConcept(termMatchingVO);
    }

    @Override
    public List<TermConceptDTO> getConceptList(TermMatchingListVO termMatchingListVO) {
        return baseMapper.getConceptList(termMatchingListVO);
    }
}
