package com.diagbot.service.impl;

import com.diagbot.dto.BaseRegulationDTO;
import com.diagbot.entity.KlRegulationBase;
import com.diagbot.mapper.KlRegulationBaseMapper;
import com.diagbot.service.KlRegulationBaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 通用规则基础表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-06-15
 */
@Service
public class KlRegulationBaseServiceImpl extends ServiceImpl<KlRegulationBaseMapper, KlRegulationBase> implements KlRegulationBaseService {

    @Override
    public List<BaseRegulationDTO> getSelectBase(List<String> codeList) {
        return baseMapper.getSelectBase(codeList);
    }
}
