package com.diagbot.service.impl;

import com.diagbot.dto.RegulationDTO;
import com.diagbot.entity.KlRegulation;
import com.diagbot.mapper.KlRegulationMapper;
import com.diagbot.service.KlRegulationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.RegulationVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 通用规则表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-06-15
 */
@Service
public class KlRegulationServiceImpl extends ServiceImpl<KlRegulationMapper, KlRegulation> implements KlRegulationService {

    @Override
    public List<RegulationDTO> getRegulationByIds(RegulationVO regulationVO) {
        return baseMapper.getRegulationByIds(regulationVO);
    }
}
