package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangfeng
 * @Description: 第一层
 * @date 2021-05-10 14:13
 */
@Setter
@Getter
public class KlScaleSaveUpParentVO {

    /**
     * 内容
     */
    private String content;

    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 系数
     */
    private BigDecimal factor;

    /**
     * 常数
     */
    private BigDecimal constant;

    /**
     * 11问题选项;12文本;13得分结果（隐藏）
     */
    private Integer textType;
    /**
     * 结果类型（1算分;2显示选择结果）
     */
    private Integer resultType;
    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 1：显示，0：不显示，2隐藏
     */
    private Integer status;


    private String remark;

    private List<KlScaleSaveGroupVO> klScaleSaveGroup;

}
