package com.diagbot.web;

import com.diagbot.facade.KlRuleFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @author zhoutg
 * @Description:
 * @date 2021-03-19 14:52
 */
@RestController
@RequestMapping("/klIndicationImport")
@Api(tags = { "开单导出API" })
@SuppressWarnings("unchecked")
public class KlIndicationImportController {

    @Autowired
    KlRuleFacade klRuleFacade;

    @ApiOperation(value = "开单合理性导出API[zhoutg]")
    @PostMapping("/exportIndication")
    public void exportDiagnose(HttpServletResponse response) {
        klRuleFacade.exportIndicationFac(response);
    }

}
