package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.util.RegexUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 工具类测试API
 * @author: zhoutg
 * @time: 2018/8/30 10:12
 */
@RestController
@RequestMapping("/util")
@Api(value = "工具类测试API", tags = { "工具类测试API" })
@SuppressWarnings("unchecked")
public class UtilController {

    @ApiOperation(value = "正则匹配[zhoutg]", notes = "content：文本内容，regex：正则表达式")
    @PostMapping("/getMatch")
    public RespDTO<Boolean> getMatch(String content, String regex) {
        return RespDTO.onSuc(RegexUtil.getRegexRes(content, regex));
    }

}
